| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jmemansi.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jmemsys.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | SEEK_SET 0 /* if not, assume 0 is correct */
#define | DEFAULT_MAX_MEM 1000000L /* default: one megabyte */

## Functions
void *malloc | JPP ((size_t size))
void free | JPP ((void *ptr))
| jpeg_get_small (j_common_ptr cinfo, size_t sizeofobject)
| jpeg_free_small (j_common_ptr cinfo, void *object, size_t sizeofobject)
| jpeg_get_large (j_common_ptr cinfo, size_t sizeofobject)
| jpeg_free_large (j_common_ptr cinfo, void FAR *object, size_t sizeofobject)
| jpeg_mem_available (j_common_ptr cinfo, long min_bytes_needed, long max_bytes_needed, long already_allocated)
| read_backing_store (j_common_ptr cinfo, backing_store_ptr info, void FAR *buffer_address, long file_offset, long byte_count)
| write_backing_store (j_common_ptr cinfo, backing_store_ptr info, void FAR *buffer_address, long file_offset, long byte_count)
| close_backing_store (j_common_ptr cinfo, backing_store_ptr info)
| jpeg_open_backing_store (j_common_ptr cinfo, backing_store_ptr info, long total_bytes_needed)
| jpeg_mem_init (j_common_ptr cinfo)
| jpeg_mem_term (j_common_ptr cinfo)

## Macro Definition Documentation

#define DEFAULT_MAX_MEM 1000000L /* default: one megabyte */

Definition at line 77 of file jmemansi.c.

#define JPEG_INTERNALS

Definition at line 15 of file jmemansi.c.

#define SEEK_SET 0 /* if not, assume 0 is correct */

Definition at line 26 of file jmemansi.c.

## Function Documentation

close_backing_store | ( | j_common_ptr | cinfo,
|  | backing_store_ptr | info
| ) |  |

Definition at line 123 of file jmemansi.c.

jpeg_free_large | ( | j_common_ptr | cinfo,
|  | void FAR * | object,
|  | size_t | sizeofobject
| ) |  |

Definition at line 62 of file jmemansi.c.

jpeg_free_small | ( | j_common_ptr | cinfo,
|  | void * | object,
|  | size_t | sizeofobject
| ) |  |

Definition at line 42 of file jmemansi.c.

jpeg_get_large | ( | j_common_ptr | cinfo,
|  | size_t | sizeofobject
| ) |  |

Definition at line 56 of file jmemansi.c.

jpeg_get_small | ( | j_common_ptr | cinfo,
|  | size_t | sizeofobject
| ) |  |

Definition at line 36 of file jmemansi.c.

jpeg_mem_available | ( | j_common_ptr | cinfo,
|  | long | min_bytes_needed,
|  | long | max_bytes_needed,
|  | long | already_allocated
| ) |  |

Definition at line 81 of file jmemansi.c.

jpeg_mem_init | ( | j_common_ptr | cinfo | ) |

Definition at line 158 of file jmemansi.c.

jpeg_mem_term | ( | j_common_ptr | cinfo | ) |

Definition at line 164 of file jmemansi.c.

jpeg_open_backing_store | ( | j_common_ptr | cinfo,
|  | backing_store_ptr | info,
|  | long | total_bytes_needed
| ) |  |

Definition at line 141 of file jmemansi.c.

void* malloc JPP | ( | (size_t size) |  | ) |

void free JPP | ( | (void *ptr) |  | ) |

read_backing_store | ( | j_common_ptr | cinfo,
|  | backing_store_ptr | info,
|  | void FAR * | buffer_address,
|  | long | file_offset,
|  | long | byte_count
| ) |  |

Definition at line 97 of file jmemansi.c.

write_backing_store | ( | j_common_ptr | cinfo,
|  | backing_store_ptr | info,
|  | void FAR * | buffer_address,
|  | long | file_offset,
|  | long | byte_count
| ) |  |

Definition at line 110 of file jmemansi.c.